MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024157Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-09-10 13:492019-09-30 06:52
Reporterifv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024157: Parallelization of assembly part of BO
DescriptionThis task is part of Modeling OCC development plan (http://dev.opencascade.org/index.php?q=home/projects/modeling [^]).
Steps To ReproduceNo script.
Just test it.
TagsNo tags attached.
Test case numberbugs modalg_5 bug24157_1 ... bug24157_10
Attached Fileszip file icon data_5.zip (256,549 bytes) 2013-12-10 09:25
? file icon bug24157_1 (513 bytes) 2013-12-12 16:58
? file icon bug24157_2 (564 bytes) 2013-12-12 16:58
? file icon bug24157_3 (456 bytes) 2013-12-12 16:58
? file icon z20.tcl (981 bytes) 2014-01-10 09:31
? file icon z21.tcl (1,151 bytes) 2014-01-10 09:32
? file icon z30.tcl (942 bytes) 2014-01-24 11:19
? file icon z31.tcl (942 bytes) 2014-01-24 11:19
? file icon zff1.tcl (648 bytes) 2014-04-22 11:19
? file icon zstars1.tcl (286 bytes) 2014-05-13 11:53
? file icon fstar (4,402 bytes) 2014-05-13 11:53
? file icon z52.tcl (1,396 bytes) 2014-06-11 13:01

- Relationships
related to 0024639closedmkv Parallelization FillDS part of BO 
parent of 0024242closedbugmaster Hang-up during classification a 3D point relative to a solid 
related to 0031012newapn Tests - move tests bugs modalg_5 bug24157_* from group bugs modalg_5 to perf 

-  Notes
(0025509)
pkv (developer)
2013-09-10 14:26
edited on: 2013-09-10 14:32

Preface:

The Build (Assembly) Part of BO consists of several sub-parts:
1. Building Vertices
2. Building Edges
3. Building Faces
4. Building Solids
5. Building Container Shapes (Wires, Shells, Compsolids, Compounds)

Among the parts above
3.Building Faces
and
4.Building Solids
are the most time-consuming and thus should be parallelized first.

The parallelization process can be divided on three phases:
1. Parallelization Building Faces
2. Parallelization Building Solids
3. Parallelization the rest parts

The phase 1 : Parallelization Building Faces consists of three parts:
1.1. Building Split Faces
1.2. Building Same Domain Faces
1.3. Building Faces with Internal Shapes

(0025511)
pkv (developer)
2013-09-10 15:15

The branch CR24157 is ready to be reviewed.
The branch CR24157 deals with the phase 1. chapter 1.1. Building Split Faces
(0025512)
abv (manager)
2013-09-10 15:22

Peter, does this change give some benefit in performance? If yes, could you please share results of your tests?
(0025515)
ifv (developer)
2013-09-10 16:17

Ok
(0025521)
mkv (tester)
2013-09-11 09:58

Dear BugMaster,

Branch CR24157 was compiled on Linux platform.
There are compilation error:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24157/job/mnt-CR24157-master_build_occt_linux/1/parsed_console/? [^]
(0025547)
pkv (developer)
2013-09-12 13:48

The branch CR24157_1 is ready to be reviewed.
The branch CR24157_1 deals with the phase 1. chapter 1.1. Building Split Faces
(0025551)
mkv (tester)
2013-09-12 16:33

Dear BugMaster,

Branch CR24157_1 was compiled on Linux platform.
SHA-1: f589c32eb43f8927a672988469ff1ad7ef03829e

There are compilation errors:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24157_1/job/mnt-CR24157_1-master_build_occt_linux/1/parsed_console/? [^]
from ../../../../src/BOPAlgo/BOPAlgo_Builder_2.cxx:64:
../../../../inc/BOPCol_NCVector.hxx: In member function ‘Type& BOPCol_NCVector<Type>::Append1()’:
../../../../inc/BOPCol_NCVector.hxx:47: error: ‘myLength’ was not declared in this scope
../../../../inc/BOPCol_NCVector.hxx: In member function ‘virtual Standard_Integer BOPCol_NCVector<Type>::Extent() const’:
../../../../inc/BOPCol_NCVector.hxx:53: error: ‘myLength’ was not declared in this scope
(0025558)
pkv (developer)
2013-09-13 07:06

The branch CR24157_2 is ready to be reviewed.
(0025612)
mkv (tester)
2013-09-18 08:04

Dear BugMaster,

Branch CR24157_2 (and products from GIT master) was compiled with HAVE_TBB compilation option on Linux and Windows platforms and tested.
SHA-1: edb28b1bd459055edac237639dce5430c32b2bfe

Number of compiler warnings:

occt component :
Linux: 781 (787 on master)
Windows: 392 (392 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
http://occt-tests/CR24157-2-master-occt/Debian60-64/summary.html [^]
Total MEMORY difference: 366179956 / 364594624
Total CPU difference: 43415.33000000078 / 45376.10000000108

Testing on Windows:
http://occt-tests/CR24157-2-master-occt/Windows-32-VC9/summary.html [^]
Total MEMORY difference: 431280724 / 428222464
Total CPU difference: 47274.03125 / 49515.609375

There are not differences in images found by testdiff.
(0025613)
mkv (tester)
2013-09-18 08:05

Dear BugMaster,

Branch CR24157_2 (and products from GIT master) was compiled without HAVE_TBB compilation option on Linux and Windows platforms and tested.
SHA-1: edb28b1bd459055edac237639dce5430c32b2bfe

Number of compiler warnings:

occt component :
Linux: 781 (787 on master)
Windows: 392 (392 on master)

products component :
Linux: 191 (190 on master)
Windows: 289 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
http://occt-tests/CR24157-2t-master-occt/Debian60-64/summary.html [^]
Total MEMORY difference: 364555512 / 366458460
Total CPU difference: 44490.850000000784 / 42517.16000000099

Testing on Windows:
http://occt-tests/CR24157-2t-master-occt/Windows-32-VC9/summary.html [^]
Total MEMORY difference: 423968744 / 425683224
Total CPU difference: 50169.796875 / 38077.71875

There are not differences in images found by testdiff.
(0025619)
abv (manager)
2013-09-18 09:18

Dear Igor, please provide details on practical outcome of this improvement. Was it intended to gain performance boost on BOP? If yes, what is the achieved result? Thank you in advance!
(0025648)
ifv (developer)
2013-09-19 13:52

In fact, this improvement is only part of full planed modification of Building algorithm and concerns only building faces.
For specially prepared by PKV tests containing 2048, 3072 and 5120 faces timing is (old_time/new_time): 18 sec/8 sec, 65 sec /27 sec, 325 sec / 132 sec correspondently for 4 processors computer.
But real perfomance improvement is better to estimate after completing of parallelization of all parts of Builder.
(0025945)
pkv (developer)
2013-10-08 08:34

The branch CR24157_3 is ready to be reviewed.
The branch CR24157_3 deals with the phase 1. part 1.1. Building Same Domain Faces
(0025948)
ifv (developer)
2013-10-08 09:58

Ok
(0025980)
mkv (tester)
2013-10-09 09:35

Dear BugMaster,

Branch CR24157_3 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 30ad07a886d2b625507a22108cb28fb23f8ce7a6

Number of compiler warnings:

occt component :
Linux: 424 (424 on master)
Windows: 9 (9 on master)

products component :
Linux: 189 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
http://occt-tests/CR24157-3-master-occt/Windows-32-VC9/bugs/modalg_4/bug817_1.html [^]
bugs modalg_4(009) bug817_1: FAILED (Killed by CPU limit)

bugs modalg_2(007) bug472_3 - was corrected and pushed to branch CR24157_3

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366105440 / 367202000
Total CPU difference: 43378.26000000108 / 44590.79000000126

Testing on Windows:
Total MEMORY difference: 433368724 / 433260284
Total CPU difference: 37663.9375 / 41901.21875

There are not differences in images found by testdiff.
(0026107)
apn (administrator)
2013-10-16 14:58

Dear BugMaster,

Branch CR24157 was rebased to CR24242 (issue fixed regression bugs modalg_4(009) bug817_1).

Branch CR24157_3 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 1ddaa1b968c023664b4d09b55dfb4db8c6790dbb

Number of compiler warnings:

occt component :
Linux: 370 (370 on master)
Windows: 6 (6 on master)

products component :
Linux: 191 (191 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 353583904 / 353452256
Total CPU difference: 43779.99000000101 / 43493.42000000097

Testing on Windows:
Total MEMORY difference: 407826372 / 407118312
Total CPU difference: 34446.59375 / 30173.296875

There are not differences in images found by testdiff.
(0026204)
pkv (developer)
2013-10-22 14:16

The branch CR24157_4 is ready to be reviewed.
The branch CR24157_4 deals with the Draw Command to turn on/off the parallelism
(0026214)
ifv (developer)
2013-10-22 16:13

Ok
(0026223)
mkv (tester)
2013-10-23 08:30

Dear BugMaster,

Branch CR24157_4 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 360b11fb86ba70d8ad7b7db2a2dc55b47d379106

Number of compiler warnings:

occt component :
Linux: 368 (368 on master)
Windows: 6 (6 on master)

products component :
Linux: 189 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 353717216 / 353823372
Total CPU difference: 43996.45000000127 / 42954.25000000077

Testing on Windows:
Total MEMORY difference: 407727908 / 407043760
Total CPU difference: 31644.328125 / 37414.875

There are not differences in images found by testdiff.
(0027138)
pkv (developer)
2013-12-10 09:25
edited on: 2013-12-10 09:26

The branch CR24157_5 is ready to be reviewed.
The branch CR24157_5 deals with the chapter 2. Parallelization Building Solids

To test use the scripts and data attached (data_5.zip)

The results obtained for the tests: (CPU time ,sec)

            WB DEV
ztest4 30.67 86.73
ztest5 87.74 377.32
ztest6 09.35 16.25

(0027154)
ifv (developer)
2013-12-10 14:21

Ok
(0027190)
apn (administrator)
2013-12-12 16:57

Dear BugMaster,

Branch CR24157_5 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 8237f3aa8d3c4ccb8d2b7318684bf43453813ac0

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 21 (21 on master)
Windows: 8 (8 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Performance:
bug24157_1 CPU(sec): 16.33 (40.51 on master)
bug24157_2 CPU(sec): 51.93 (186.16 on master)
bug24157_3 CPU(sec): 4.04 (6.92 on master)

bug24157_1 ELAPSED(sec): 9.37 (37.21 on master)
bug24157_2 ELAPSED(sec): 27.62 (179.10 on master)
bug24157_3 ELAPSED(sec): 2.56 (5.83 on master)

bug24157_1 TPS: 8.16 (36.01 on master)
bug24157_2 TPS: 24.09 (176.35 on master)
bug24157_3 TPS: 2.34 (5.60 on master)

Testing on Linux:
Total MEMORY difference: 358952480 / 358979744
Total CPU difference: 45316.410000000156 / 67598.82000000008

Testing on Windows:
Total MEMORY difference: 413161256 / 413246324
Total CPU difference: 30766.3125 / 30599.734375

There are differences in images found by testdiff:
IMAGE bugs modalg_5 bug24244: bug24244_Driver1_Viewer1_View1.png differs
http://occt-tests/CR24157-5-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24157-5-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
(0027202)
pkv (developer)
2013-12-13 10:46

1. The case: bugs modalg_5 bug24244
The case has been checked. The result is OK.
(0027427)
pkv (developer)
2014-01-10 09:33
edited on: 2014-01-10 09:35

The branch CR24157_6 is ready to review.
The branch CR24157_6 deals with the chapter 1. Parallelization Building Faces
in parts of Building 'areas' and Spliting connexity blocks.

To test use the scripts attached (z20.tcl, z21.tcl)

The results obtained for the tests: (CPU time ,sec)

          WB DEV
z20.tcl 5.81 42.52
z21.tcl 5.67 913.42

(0027428)
ifv (developer)
2014-01-10 10:12

Ok
(0027450)
mkv (tester)
2014-01-13 12:46

Dear BugMaster,

Branch CR24157_6 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 3be81faf58c985ed099790c3d0b8a2dc91e7aeff

Number of compiler warnings:

occt component :
Linux: 55 (55 on master)
Windows: 1 (1 on master)

products component :
Linux: 20 (20 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
bugs modalg_5 bug24157_z20: OK
bugs modalg_5 bug24157_z21: OK

Performance on Linux:

bug24157_z20 CPU(sec): 22.6 (31.24 on master)
bug24157_z20 ELAPSED(sec): 20.01 (31.93 on master)
bug24157_z20 TPS: 15.86 (29.75 on master)

bug24157_z21 CPU(sec): 14.15 (623.97 on master)
bug24157_z21 ELAPSED(sec): 13.18 (624.66 on master)
bug24157_z21 TPS: 11.50 (624.07 on master)

Testing on Linux:
Total MEMORY difference: 358164904 / 357039088
Total CPU difference: 43274.769999999815 / 42989.48999999986

Testing on Windows:
Total MEMORY difference: 414319016 / 412488216
Total CPU difference: 30213.078125 / 32601.78125

There are not differences in images found by testdiff.
(0027635)
pkv (developer)
2014-01-24 11:22

The branch CR24157_7 is ready to review.
The branch CR24157_7 deals with the chapter 2. Parallelization Building Solids
in parts of Building 'areas' and Spliting connexity blocks.

To test use the scripts attached (z30.tcl, z31.tcl)

The results obtained for the tests: (CPU time ,sec)

          WB DEV
z30.tcl 1.70 23.60
z31.tcl 7.84 134.59
(0027636)
ifv (developer)
2014-01-24 11:55

Ok
(0027650)
mkv (tester)
2014-01-28 08:46

Dear BugMaster,

Branch CR24157_7 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: ddfce0190f90697d7ca871b7a8bcdf69ae1d4f65

Number of compiler warnings:

occt component :
Linux: 46 (45 on master)
Windows: 2 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

There are new additional warnings:
on Linux:
BOPAlgo_BuilderSolid.cxx:844, GNU C Compiler 4 (gcc), Priority: Normal
‘Standard_Boolean IsClosedShell(const TopoDS_Shell&)’ defined but not used

on Windows:
BOPAlgo_BuilderSolid.cxx:88, MSBuild, Priority: Normal
'IsClosedShell' : unreferenced local function has been removed

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Performance:
bug24157_z30
TOTAL CPU TIME: 3.65625 sec - on Windows
TOTAL CPU TIME: 5.67 sec - on Linux

bug24157_z31
TOTAL CPU TIME: 16.296875 sec - on Windows
TOTAL CPU TIME: 25.05 sec - on Linux

Testing on Linux:
Total MEMORY difference: 370495968 / 371367832
Total CPU difference: 43498.30000000011 / 44575.72000000038

Testing on Windows:
Total MEMORY difference: 417323676 / 416456964
Total CPU difference: 32347.171875 / 33998.109375

There are not differences in images found by testdiff.
(0027653)
pkv (developer)
2014-01-28 11:12

The branch CR24157_8 is ready to review.
The branch CR24157_8 deals with the get rid of the warnings:
http://tracker.dev.opencascade.org/view.php?id=24157#c27650 [^]
(0027654)
ifv (developer)
2014-01-28 11:51

Ok
(0027675)
mkv (tester)
2014-01-29 14:22

Dear BugMaster,

Branch CR24157_8 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 5ad189691ef45e97a86d678d8147c7369eac6383

Number of compiler warnings:

occt component :
Linux: 45 (45 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Performance:
bug24157_z30
TOTAL CPU TIME: 3.3125 sec - on Windows
TOTAL CPU TIME: 5.64 sec - on Linux

bug24157_z31
TOTAL CPU TIME: 14.09375 sec - on Windows
TOTAL CPU TIME: 25.42 sec - on Linux

Testing on Linux:
Total MEMORY difference: 370572320 / 371367964
Total CPU difference: 43809.08000000017 / 44575.42000000038

Testing on Windows:
Total MEMORY difference: 378176976 / 376810480
Total CPU difference: 31979.96875 / 33100.78125

There are not differences in images found by testdiff.
(0029009)
pkv (developer)
2014-04-22 11:21

The branch CR24157_10 is ready to review.
The branch CR24157_10 deals with the parallelization
of Post-Treatment part of the Builder.

To test use the script attached (zff1.tcl)
The results obtained for the tests: (CPU time ,sec)

DEV :
Elapsed time Tps: 2.20

CR24157_!0:
Elapsed time Tps: 1.44
(0029011)
ifv (developer)
2014-04-22 13:12

Ok
(0029071)
mkv (tester)
2014-04-25 12:23

Dear BugMaster,

Branch CR24157_10 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 828c2f775955496fe98da8dc377fe231898e9f78

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 410 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355942372 / 355815864
Total CPU difference: 55695.789999999804 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 379570184 / 381828688
Total CPU difference: 34239.109375 / 43088.375

There are no differences in images found by testdiff.
(0029291)
pkv (developer)
2014-05-13 11:52
edited on: 2014-05-19 14:13

The branch CR24157_11 is ready to review.
The branch CR24157_11 deals with the parallelization of P-curves computations.

To test use the script attached ( zstars1.tcl )
The results obtained for the tests: (CPU time ,sec)

DEV :
Tps: 15.72

CR24157_11:
Tps: 8.42

(0029292)
ifv (developer)
2014-05-13 12:08

Ok
(0029446)
apn (administrator)
2014-05-21 16:39

Dear BugMaster,

Branch CR24157_11 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: d62c5fede2bad44998737b48966141d3ec02cb5e

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
bugs modalg_5 bug24157_1 - OK
bugs modalg_5 bug24157_2 - OK
bugs modalg_5 bug24157_3 - OK
bugs modalg_5 bug24157_4 - OK
bugs modalg_5 bug24157_5 - OK
bugs modalg_5 bug24157_6 - OK
bugs modalg_5 bug24157_7 - OK
bugs modalg_5 bug24157_8 - OK
bugs modalg_5 bug24157_9 - OK
http://occt-tests/CR24157_tests_linux/summary.html [^]
http://occt-tests/CR24157_tests_windows/summary.html [^]

Testing on Linux:
Total MEMORY difference: 356839292 / 357326856
Total CPU difference: 54581.57999999991 / 56363.43999999993

Testing on Windows:
Total MEMORY difference: 379579216 / 379613888
Total CPU difference: 34316.328125 / 35503.203125

There are no differences in images found by testdiff.
(0029768)
pkv (developer)
2014-06-11 13:02

The branch CR24157_12 is ready to review.

The branch CR24157_12 deals with
the parallelization of building the solids in case of lot internal faces.

The case is intended to improve the performance for the user case:
 http://tracker.dev.opencascade.org/view.php?id=24952#c29629 [^]

To test use the script attached ( z52.tcl )

The results obtained for the tests: (CPU time ,sec)
DEV :
Tps: 2.98

CR24157_12:
Tps: 0.63
(0029769)
emv (developer)
2014-06-11 14:04

Reviewed, please test.
(0029795)
apv (tester)
2014-06-17 12:46

Dear BugMaster,

Branch CR24157_12 (and products from GIT master) was compiled on Linux platform and tested.
SHA-1: dd0f8e3f39611cb28e98bd54c16d6b4862d6f081

Number of compiler warnings:

occt component
Linux: 16 (16 on master)

products component :
Linux: 11 (11 on master)

Regressions/Differences:
http://occt-tests/CR24157-12-master-occt/Debian60-64/summary.html [^]
boolean - bfuse_complex (013) - O6, P1
boolean - boptuc_complex (024) - D5
bugs - modalg_2 (007) - bug497_5
bugs - modalg_4 (009) - bug62
bugs - modalg_5 (010) - bug24598

Testing cases:
bugs - modalg_5 (010) - bug24175_1 - OK
bugs - modalg_5 (010) - bug24175_2 - OK
bugs - modalg_5 (010) - bug24175_3 - OK
bugs - modalg_5 (010) - bug24175_4 - OK
bugs - modalg_5 (010) - bug24175_5 - OK
bugs - modalg_5 (010) - bug24175_6 - OK
bugs - modalg_5 (010) - bug24175_7 - OK
bugs - modalg_5 (010) - bug24175_8 - OK
bugs - modalg_5 (010) - bug24175_9 - OK

Testing on Linux:
Total MEMORY difference: 348299136 / 348784212
Total CPU difference: 48863.32000000001 / 52748.82000000002

There are differences in images found by testdiff:
http://occt-tests/CR24157-12-master-occt/Debian60-64/diff-Debian60-64.html [^]
(0029861)
emv (developer)
2014-06-23 17:56
edited on: 2014-06-23 18:01

1. boolean bfuse_complex O6
The result obtained in WB is CORRECT => Modify the script

2. boolean bfuse_complex P1
The subj of 0022033 [#69], argument is self-interfered (http://tracker.dev.opencascade.org/view.php?id=22033#c29685 [^])

3. boolean boptuc_complex D5
The subj of 0022033 [#68], argument is Not_Closed (http://tracker.dev.opencascade.org/view.php?id=22033#c29683 [^])

4. bugs modalg_2 bug497_5
Both results in WB and in DEV are incorrect. The problem is inconsistency between mutual positions of the arguments and theirs tolerance values. The case is LIMITATION.

5. bugs modalg_4 bug62
The subj of 0022033 [#72], result is incorrect (http://tracker.dev.opencascade.org/view.php?id=22033#c29696 [^])

6. bugs modalg_5 bug24558
The result obtained in WB is CORRECT => Modify the script

(0029886)
mkv (tester)
2014-06-25 20:05

Dear BugMaster,
Test case bugs/modalg_5(010)/bug24175_10 was added, it is OK.
Following test cases are corrected:
boolean/bfuse_complex(013)/O6, P1
booleanboptuc_complex(024)/D5
bugs/modalg_2(007)/bug497_5
bugs/modalg_4(009)/bug62
bugs/modalg_5(010)/bug24598
(0030363)
git (administrator)
2014-07-22 16:24

Branch CR24157_12 has been deleted by inv.

SHA-1: 0d01a4e702e53e33f2d7cbcd5ac5fb6b0b37647f

- Related Changesets
occt: master acccace3
Timestamp: 2013-09-13 03:05:16
Author: pkv
Committer: bugmaster
Details ] Diff ]
0024157: Parallelization of Assembly part of BO

The Build (Assembly) Part of BO consists of several sub-parts:
1. Building Vertices
2. Building Edges
3. Building Faces
4. Building Solids
5. Building Container Shapes (Wires, Shells, Compsolids, Compounds)

Among the parts above
3.Building Faces
and
4.Building Solids
are the most time-consuming and thus should be parallelized first.

The parallelization process can be divided on three phases:
1. Parallelization Building Faces
2. Parallelization Building Solids
3. Parallelization the rest parts

The phase 1 : Parallelization Building Faces consists of three parts:
1.1. Building Split Faces
1.2. Building Same Domain Faces
1.3. Building Faces with Internal Shapes
The branch deals with the phase 1. chapter 1.1. Building Split Faces
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Builder_2Cnt.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter_1.cxx Diff ] File ]
mod - src/BOPAlgo/FILES Diff ] File ]
mod - src/BOPCol/BOPCol.cdl Diff ] File ]
add - src/BOPCol/BOPCol_NCVector.hxx Diff ] File ]
add - src/BOPCol/BOPCol_TBB.hxx Diff ] File ]
mod - src/BOPCol/FILES Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff ] File ]
occt: master 09126f16
Timestamp: 2013-09-27 10:37:43
Author: pkv
Committer: bugmaster
Details ] Diff ]
0024157: Parallelization of assembly part of BO
Providing compatibility with new versions of Linux
mod - src/BOPCol/BOPCol_NCVector.hxx Diff ] File ]
occt: master 19941687
Timestamp: 2013-10-17 08:26:19
Author: pkv
Committer: bugmaster
Details ] Diff ]
0024157: Parallelization of assembly part of BO

v0.0

I. New features:
no new features

II. Changes:
II.1. class BRepClass3d
   - method:
Standard_Integer BRepClass3d_SolidExplorer::OtherSegment(const gp_Pnt& P,
     gp_Lin& L, Standard_Real& _Par)
The condition to prevent infinite loop has been added.

III. Modified entities:
packages:
BRepClass3d

Added test case bugs/modalg_5/bug24242

The phase 1 : Parallelization Building Faces.
Part 1.2. Building Same Domain Faces
Combined by pkv

Small correction of test case for issue CR24157_3
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2Cnt.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_TBB.hxx Diff ] File ]
mod - tests/bugs/modalg_2/bug472_3 Diff ] File ]
occt: master 796a784d
Timestamp: 2013-10-22 09:13:38
Author: abv
Committer: abv
Details ] Diff ]
0024157: Parallelization of assembly part of BO
New metod was implemented to class BOPAlgo_Builder
   - method:
void BOPAlgo_Builder::SetRunParallel(const Standard_Boolean theFlag)
The method sets the flag of parallel processing
 if <theFlag> is true the parallel processing is switched on
 if <theFlag> is false the parallel processing is switched off
  - method:
Standard_Boolean BOPAlgo_Builder::RunParallel()const
The method returns the flag of parallel processing

Class BOPTest was changed
   - static function:
Standard_Integer bbuild(Draw_Interpretor& di, Standard_Integer n, const char** a)
The optional parameters [ -s -t ] have been added to the command line of
the command 'bbuild':
bbuild r [-s -t]
-s : builds the result using serial procesing
-t : show the wall time
mod - src/BOPAlgo/BOPAlgo_Builder.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
occt: master 30ecd5f8
Timestamp: 2013-12-10 05:08:44
Author: pkv
Committer: bugmaster
Details ] Diff ]
0024157: Parallelization of assembly part of BO

New features
class BOPAlgo_BuilderSolid
-method:
void BOPAlgo_BuilderSolid::SetSolid(const TopoDS_Solid& theSolid) has been added.
Purpose: Sets the source solid <theSolid>

class BOPAlgo_BuilderSolid
-method:
const TopoDS_Solid& BOPAlgo_BuilderSolid::Solid()const
has been added.
Purpose: Returns the source solid

Auxiliary classes
BOPAlgo_BuilderSolidFunctor
BOPAlgo_BuilderSolidCnt
have been added.
Purpose: The classes provide the interface and implementation of the parallel computations.

class BOPTools_AlgoTools
-method:
Standard_Boolean BOPTools_AlgoTools::IsOpenShell(const TopoDS_Shell& theShell) has been added.
Purpose: Returns true if the shell <theShell> is open

class BOPTools_AlgoTools
-method:
Standard_Boolean BOPTools_AlgoTools::IsInvertedSolid(const TopoDS_Solid& theSolid) has been added.
Purpose: Returns true if the solid <theSolid> is inverted

class BOPDS_DS
-protected method:
void BOPDS_DS::BuildBndBoxSolid(const Standard_Integer theIndex, Bnd_Box& theBoxS) has been added.
The method computes bouding box <theBoxS> for the solid with DS-index <theIndex>

Changes
class BOPDS_DS
- method:
void BOPDS_DS::Init()
The block to compute bouding box for the solids has been added.

class BOPAlgo_Builder
- method:
void BOPAlgo_Builder::FillIn3DParts
(BOPCol_DataMapOfShapeListOfShape& theInParts,
BOPCol_DataMapOfShapeShape& theDraftSolids,
const BOPCol_BaseAllocator& theAllocator)
The order of treatment of the unbalanced binary tree of overlapped bounding boxes has been changed

class BOPAlgo_Builder
- method:
 void BOPAlgo_Builder::BuildSplitSolids
(BOPCol_DataMapOfShapeListOfShape& theInParts,
BOPCol_DataMapOfShapeShape& theDraftSolids,
const BOPCol_BaseAllocator& theAllocator)
The algorithm has been adapted to provide the parallel computations
mod - src/BOPAlgo/BOPAlgo_Builder.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2Cnt.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
occt: master db8e4b9a
Timestamp: 2014-01-10 04:29:02
Author: pkv
Committer: bugmaster
Details ] Diff ]
0024157: Parallelization of assembly part of BO

Patch 06

I.1. class Bnd_Box2d
- method:
inline Standard_Real Bnd_Box2d::SquareExtent() const
has been added.
Purpose : The method returns the squared diagonal of the bounding box.

I.3. class BOPCol_BoxBndTree
has been added.
Purpose : The class is the instantiation of the algorithm of unbalanced binary tree
of overlapped bounding boxes 3D.

I.4. class BOPCol_Box2DBndTree
has been added.
Purpose : The class is the instantiation of the algorithm of unbalanced binary tree
of overlapped bounding boxes 2D.

I.5. class BOPAlgo_Algo
- method:
void BOPAlgo_Algo::SetRunParallel(const Standard_Boolean theFlag)
has been added.
Purpose: Set the flag of parallel processing
     if <theFlag> is true the parallel processing is switched on
     if <theFlag> is false the parallel processing is switched off

- method:
Standard_Boolean BOPAlgo_Algo::RunParallel()const
has been added
Purpose: Returns the flag of parallel processing

II.1. class BOPAlgo_Builder
- method:
void BOPAlgo_Builder::SetRunParallel(const Standard_Boolean theFlag)
has been removed due to I.5.

- method:
Standard_Boolean BOPAlgo_Builder::RunParallel()const
has been removed due to I.5

II.2. class BOPDS_BoxBndTree
has been removed due to I.3

II.3. classes
BOPDS_Iterator,
BOPDS_IteratorSI,
BOPDS_SubIterator
BOPAlgo_PaveFiller,
BOPAlgo_Builder
the calls to BOPDS_BoxBndTree have been changed to
the calls to BOPCol_BoxBndTree
due to I.3

II.4. class BOPAlgo_BuilderFace
- method:
void BOPAlgo_BuilderFace::PerformLoops()
the changes that provide parallel run the WireSplitter algorithm have been done.

- method:
void BOPAlgo_BuilderFace::PerformAreas()
the classification the grows and holes has been done using
the algorithm of unbalanced binary tree of overlapped bounding boxes

II.5. class BOPAlgo_WireSplitter
- method:
void BOPAlgo_WireSplitter::SplitBlock(const TopoDS_Face& myFace,
                      BOPTools_ConnexityBlock& aCB)
the method is transferred to the static, the signature of the method have been changed

- method:
void BOPAlgo_WireSplitter::MakeWires()
the changes to provide parallel run the SplitBlock algorithm have been done
mod - src/Bnd/Bnd_Box2d.cdl Diff ] File ]
mod - src/Bnd/Bnd_Box2d.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Algo.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Algo.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter_1.cxx Diff ] File ]
mod - src/BOPAlgo/FILES Diff ] File ]
add - src/BOPCol/BOPCol_Box2DBndTree.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerShape.hxx Diff ] File ]
mod - src/BOPCol/FILES Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_IteratorSI.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_SubIterator.cxx Diff ] File ]
mod - src/BOPDS/FILES Diff ] File ]
occt: master 682c9d06
Timestamp: 2014-01-28 07:09:54
Author: pkv
Committer: bugmaster
Details ] Diff ]
0024157: Parallelization of assembly part of BO

I. New features:
I.1 class BOPAlgo_ShellSplitter
The new class BOPAlgo_ShellSplitter has been added.
Purpose: The class provides the splitting of the set of connected faces
    on separate loops

II. Changes:
II.1. class BOPAlgo_BuilderSolid
- method:
void BOPAlgo_BuilderSolid::PerformLoops()
the changes that provide parallel run the ShellSplitter algorithm have been done.

- method:
void BOPAlgo_BuilderSolid::PerformAreas()
the classification the grows and holes has been done using
the algorithm of unbalanced binary tree of overlapped bounding boxes
mod - src/BOPAlgo/BOPAlgo.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_ShellSplitter.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_ShellSplitter.cxx Diff ] File ]
occt: master c26b5a34
Timestamp: 2014-04-22 07:16:46
Author: pkv
Committer: apn
Details ] Diff ]
0024157: Parallelization of assembly part of BO

The branch deals with the parallelization of Post-Treatment part of the Builder
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff ] File ]
occt: master f1baf495
Timestamp: 2014-05-22 13:49:52
Author: pkv
Committer: apn
Details ] Diff ]
0024157: Parallelization of assembly part of BO

The modifications deal with the parallelization of P-curves computations.
Added test cases bugs/modalg_5/bug24157_1 ... bug24157_9
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_7.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Interf.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24157_1 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_2 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_3 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_4 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_5 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_6 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_7 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_8 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_9 Diff ] File ]
occt: master 465d1fba
Timestamp: 2014-06-26 09:00:17
Author: pkv
Committer: apn
Details ] Diff ]
0024157: Parallelization of assembly part of BO

The branch CR24157_12 deals with the parallelization of building the solids in case of lot internal faces.
Test case for issue CR24157
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - tests/boolean/bfuse_complex/O6 Diff ] File ]
mod - tests/boolean/bfuse_complex/P1 Diff ] File ]
mod - tests/boolean/boptuc_complex/D5 Diff ] File ]
mod - tests/bugs/modalg_2/bug497_5 Diff ] File ]
mod - tests/bugs/modalg_4/bug62 Diff ] File ]
add - tests/bugs/modalg_5/bug24157_10 Diff ] File ]
mod - tests/bugs/modalg_5/bug24558 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-10 13:49 ifv New Issue
2013-09-10 13:49 ifv Assigned To => pkv
2013-09-10 14:25 pkv Status new => assigned
2013-09-10 14:26 pkv Note Added: 0025509
2013-09-10 14:31 pkv Note Edited: 0025509 View Revisions
2013-09-10 14:32 pkv Note Edited: 0025509 View Revisions
2013-09-10 15:15 pkv Note Added: 0025511
2013-09-10 15:16 pkv Steps to Reproduce Updated View Revisions
2013-09-10 15:16 pkv Status assigned => resolved
2013-09-10 15:16 pkv Assigned To pkv => ifv
2013-09-10 15:22 abv Note Added: 0025512
2013-09-10 16:17 ifv Note Added: 0025515
2013-09-10 16:17 ifv Status resolved => reviewed
2013-09-10 17:34 mkv Assigned To ifv => mkv
2013-09-11 09:58 mkv Note Added: 0025521
2013-09-11 09:58 mkv Assigned To mkv => pkv
2013-09-11 09:58 mkv Status reviewed => assigned
2013-09-11 09:58 mkv Test case number => Not needed
2013-09-12 13:47 pkv Status assigned => resolved
2013-09-12 13:47 pkv Status resolved => reviewed
2013-09-12 13:48 pkv Note Added: 0025547
2013-09-12 13:48 pkv Assigned To pkv => mkv
2013-09-12 13:48 pkv Status reviewed => assigned
2013-09-12 16:33 mkv Note Added: 0025551
2013-09-12 16:35 mkv Assigned To mkv => pkv
2013-09-13 07:05 pkv Status assigned => resolved
2013-09-13 07:06 pkv Note Added: 0025558
2013-09-13 07:06 pkv Status resolved => reviewed
2013-09-13 07:06 pkv Assigned To pkv => mkv
2013-09-18 08:04 mkv Note Added: 0025612
2013-09-18 08:05 mkv Note Added: 0025613
2013-09-18 08:08 mkv Assigned To mkv => bugmaster
2013-09-18 08:08 mkv Status reviewed => tested
2013-09-18 09:18 abv Note Added: 0025619
2013-09-18 09:18 abv Assigned To bugmaster => ifv
2013-09-18 09:18 abv Status tested => feedback
2013-09-19 13:52 ifv Note Added: 0025648
2013-09-19 13:52 ifv Assigned To ifv => abv
2013-09-19 13:52 ifv Status feedback => resolved
2013-09-20 17:38 abv Status resolved => feedback
2013-09-20 17:39 abv Status feedback => tested
2013-09-23 10:22 abv Assigned To abv => bugmaster
2013-09-26 14:12 bugmaster Product Version Unscheduled => 6.7.0
2013-09-26 14:12 bugmaster Target Version Unscheduled => 6.7.0
2013-09-30 15:53 bugmaster Changeset attached => occt master 09126f16
2013-09-30 15:53 bugmaster Changeset attached => occt master acccace3
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-10-08 08:34 pkv Note Added: 0025945
2013-10-08 08:35 pkv Assigned To bugmaster => pkv
2013-10-08 08:35 pkv Summary Parallelization of assemply part of BO => Parallelization of assembly part of BO
2013-10-08 08:36 pkv Status verified => assigned
2013-10-08 08:36 pkv Status assigned => resolved
2013-10-08 08:36 pkv Assigned To pkv => ifv
2013-10-08 09:58 ifv Note Added: 0025948
2013-10-08 09:58 ifv Status resolved => reviewed
2013-10-08 12:01 mkv Assigned To ifv => mkv
2013-10-09 09:35 mkv Note Added: 0025980
2013-10-09 09:35 mkv Assigned To mkv => pkv
2013-10-09 09:35 mkv Status reviewed => assigned
2013-10-09 11:47 pkv Relationship added parent of 0024242
2013-10-16 14:58 apn Note Added: 0026107
2013-10-16 15:01 apn Assigned To pkv => bugmaster
2013-10-16 15:01 apn Status assigned => resolved
2013-10-16 15:01 apn Status resolved => reviewed
2013-10-16 15:01 apn Status reviewed => tested
2013-10-18 13:47 bugmaster Changeset attached => occt master 19941687
2013-10-18 13:47 bugmaster Status tested => verified
2013-10-22 14:15 pkv Assigned To bugmaster => pkv
2013-10-22 14:15 pkv Status verified => assigned
2013-10-22 14:16 pkv Note Added: 0026204
2013-10-22 14:17 pkv Assigned To pkv => ifv
2013-10-22 16:12 ifv Status assigned => resolved
2013-10-22 16:13 ifv Note Added: 0026214
2013-10-22 16:13 ifv Status resolved => reviewed
2013-10-23 07:24 mkv Assigned To ifv => mkv
2013-10-23 08:30 mkv Note Added: 0026223
2013-10-23 08:31 mkv Assigned To mkv => bugmaster
2013-10-23 08:31 mkv Status reviewed => tested
2013-10-25 14:42 abv Changeset attached => occt master 796a784d
2013-10-25 14:42 abv Assigned To bugmaster => abv
2013-10-25 14:42 abv Status tested => verified
2013-12-10 09:10 pkv Assigned To abv => pkv
2013-12-10 09:10 pkv Status verified => assigned
2013-12-10 09:25 pkv File Added: data_5.zip
2013-12-10 09:25 pkv Note Added: 0027138
2013-12-10 09:26 pkv Note Edited: 0027138 View Revisions
2013-12-10 09:26 pkv Note Edited: 0027138 View Revisions
2013-12-10 09:27 pkv Status assigned => resolved
2013-12-10 09:27 pkv Assigned To pkv => ifv
2013-12-10 09:27 pkv Status resolved => assigned
2013-12-10 14:20 ifv Status assigned => resolved
2013-12-10 14:21 ifv Note Added: 0027154
2013-12-10 14:21 ifv Status resolved => reviewed
2013-12-10 16:37 apn Assigned To ifv => apn
2013-12-10 16:51 abv Target Version 6.7.0 => 6.7.1
2013-12-12 16:57 apn Note Added: 0027190
2013-12-12 16:58 apn File Added: bug24157_1
2013-12-12 16:58 apn File Added: bug24157_2
2013-12-12 16:58 apn File Added: bug24157_3
2013-12-12 16:59 apn Assigned To apn => pkv
2013-12-12 16:59 apn Status reviewed => assigned
2013-12-13 10:46 pkv Note Added: 0027202
2013-12-13 10:46 pkv Status assigned => resolved
2013-12-13 10:47 pkv Assigned To pkv => apn
2013-12-13 11:56 apn Assigned To apn => bugmaster
2013-12-13 11:56 apn Status resolved => reviewed
2013-12-13 11:56 apn Status reviewed => tested
2013-12-23 13:05 bugmaster Changeset attached => occt master 30ecd5f8
2013-12-23 13:05 bugmaster Status tested => verified
2014-01-10 09:31 pkv File Added: z20.tcl
2014-01-10 09:32 pkv File Added: z21.tcl
2014-01-10 09:32 pkv Assigned To bugmaster => pkv
2014-01-10 09:32 pkv Status verified => assigned
2014-01-10 09:33 pkv Status assigned => resolved
2014-01-10 09:33 pkv Note Added: 0027427
2014-01-10 09:34 pkv Assigned To pkv => ifv
2014-01-10 09:35 pkv Note Edited: 0027427 View Revisions
2014-01-10 10:12 ifv Note Added: 0027428
2014-01-10 10:12 ifv Status resolved => reviewed
2014-01-10 10:36 mkv Assigned To ifv => mkv
2014-01-13 12:46 mkv Note Added: 0027450
2014-01-13 12:47 mkv Assigned To mkv => bugmaster
2014-01-13 12:47 mkv Status reviewed => tested
2014-01-21 11:22 bugmaster Changeset attached => occt master db8e4b9a
2014-01-21 11:22 bugmaster Status tested => verified
2014-01-24 11:19 pkv File Added: z30.tcl
2014-01-24 11:19 pkv File Added: z31.tcl
2014-01-24 11:20 pkv Status verified => assigned
2014-01-24 11:21 pkv Assigned To bugmaster => pkv
2014-01-24 11:22 pkv Note Added: 0027635
2014-01-24 11:22 pkv Assigned To pkv => ifv
2014-01-24 11:22 pkv Status assigned => resolved
2014-01-24 11:55 ifv Note Added: 0027636
2014-01-24 11:55 ifv Status resolved => reviewed
2014-01-24 14:50 mkv Assigned To ifv => mkv
2014-01-28 08:46 mkv Note Added: 0027650
2014-01-28 08:47 mkv Assigned To mkv => pkv
2014-01-28 08:47 mkv Status reviewed => assigned
2014-01-28 11:11 pkv Status assigned => resolved
2014-01-28 11:12 pkv Note Added: 0027653
2014-01-28 11:13 pkv Assigned To pkv => ifv
2014-01-28 11:51 ifv Note Added: 0027654
2014-01-28 11:51 ifv Status resolved => reviewed
2014-01-28 12:45 mkv Assigned To ifv => mkv
2014-01-29 14:22 mkv Note Added: 0027675
2014-01-29 14:23 mkv Assigned To mkv => bugmaster
2014-01-29 14:23 mkv Status reviewed => tested
2014-02-03 10:15 bugmaster Changeset attached => occt master 682c9d06
2014-02-03 10:15 bugmaster Status tested => verified
2014-02-20 16:49 abv Relationship added related to 0024639
2014-04-22 11:17 pkv Assigned To bugmaster => pkv
2014-04-22 11:17 pkv Status verified => assigned
2014-04-22 11:17 pkv Status assigned => resolved
2014-04-22 11:19 pkv File Added: zff1.tcl
2014-04-22 11:21 pkv Note Added: 0029009
2014-04-22 11:21 pkv Assigned To pkv => ifv
2014-04-22 13:12 ifv Note Added: 0029011
2014-04-22 13:12 ifv Status resolved => reviewed
2014-04-22 15:42 mkv Assigned To ifv => mkv
2014-04-25 12:23 mkv Note Added: 0029071
2014-04-25 17:44 mkv Assigned To mkv => bugmaster
2014-04-25 17:44 mkv Status reviewed => tested
2014-04-28 10:55 abv Target Version 6.7.1 => 6.8.0
2014-05-05 17:24 apn Changeset attached => occt master c26b5a34
2014-05-05 17:24 apn Assigned To bugmaster => apn
2014-05-05 17:24 apn Status tested => verified
2014-05-13 11:52 pkv Assigned To apn => pkv
2014-05-13 11:52 pkv Status verified => assigned
2014-05-13 11:52 pkv Status assigned => resolved
2014-05-13 11:52 pkv Note Added: 0029291
2014-05-13 11:53 pkv File Added: zstars1.tcl
2014-05-13 11:53 pkv File Added: fstar
2014-05-13 11:54 pkv Assigned To pkv => ifv
2014-05-13 11:54 pkv Note Edited: 0029291 View Revisions
2014-05-13 12:08 ifv Note Added: 0029292
2014-05-13 12:08 ifv Status resolved => reviewed
2014-05-16 05:45 pkv Assigned To ifv => apn
2014-05-19 14:13 pkv Note Edited: 0029291 View Revisions
2014-05-21 16:39 apn Note Added: 0029446
2014-05-21 16:41 apn Test case number Not needed => bugs modalg_5 bug24157_1 ... bug24157_9
2014-05-21 16:41 apn Assigned To apn => bugmaster
2014-05-21 16:41 apn Status reviewed => tested
2014-05-23 14:25 apn Changeset attached => occt master f1baf495
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-06-11 13:01 pkv File Added: z52.tcl
2014-06-11 13:01 pkv Assigned To apn => pkv
2014-06-11 13:01 pkv Status verified => assigned
2014-06-11 13:02 pkv Note Added: 0029768
2014-06-11 13:02 pkv Status assigned => resolved
2014-06-11 13:03 pkv Assigned To pkv => emv
2014-06-11 14:04 emv Note Added: 0029769
2014-06-11 14:04 emv Assigned To emv => mkv
2014-06-11 14:04 emv Status resolved => reviewed
2014-06-17 11:54 mkv Assigned To mkv => apv
2014-06-17 12:46 apv Note Added: 0029795
2014-06-17 12:47 apv Assigned To apv => pkv
2014-06-17 12:47 apv Status reviewed => assigned
2014-06-23 16:24 emv Assigned To pkv => emv
2014-06-23 17:56 emv Note Added: 0029861
2014-06-23 17:56 emv Assigned To emv => apv
2014-06-23 17:56 emv Status assigned => resolved
2014-06-23 17:56 emv Status resolved => reviewed
2014-06-23 18:00 emv Note Edited: 0029861 View Revisions
2014-06-23 18:01 emv Note Edited: 0029861 View Revisions
2014-06-25 20:05 mkv Note Added: 0029886
2014-06-25 20:05 mkv Test case number bugs modalg_5 bug24157_1 ... bug24157_9 => bugs modalg_5 bug24157_1 ... bug24157_10
2014-06-25 20:05 mkv Assigned To apv => bugmaster
2014-06-25 20:05 mkv Status reviewed => tested
2014-06-27 16:27 apn Changeset attached => occt master 465d1fba
2014-06-27 16:27 apn Assigned To bugmaster => apn
2014-06-27 16:27 apn Status tested => verified
2014-07-22 16:24 git Note Added: 0030363
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed
2019-09-30 06:52 abv Relationship added related to 0031012


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker